LibreOffice LibreOffice 25.8 SDK API Reference

Loading...
Searching...
No Matches
XUniversalShapeDescriptor Interface Referencepublished

`import "XUniversalShapeDescriptor.idl";`

Inheritance diagram for XUniversalShapeDescriptor:

## Public Member Functions
void | setShapeType ([in] string aShapeTypeName)
Public Member Functions inherited from XShapeDescriptor
string | getShapeType ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

Deprecated

## Member Function Documentation

## ◆ setShapeType()

void setShapeType | ( | [in] string | aShapeTypeName | ) |

The documentation for this interface was generated from the following file:

- com/sun/star/drawing/XUniversalShapeDescriptor.idl